<template>
  <a-row
    type="flex"
    :gutter="16"
  >
    <a-col
      :md="6"
      :sm="24"
    >
      <shutdown-cause-category-left @clickTreeNode="getSelectNode" />
    </a-col>
    <a-col
      :md="24-6"
      :sm="24"
    >
      <shutdown-cause-right :recordSelect="currentNodeSelect" />
    </a-col>
  </a-row>
</template>

<script>
import ShutdownCauseCategoryLeft from './modules/shutdownCause/ShutdownCauseCategoryLeft'
import ShutdownCauseRight from './modules/shutdownCause/ShutdownCauseRight'
export default {
  name: 'ShutdownCauseList',
  components: {
    ShutdownCauseCategoryLeft,
    ShutdownCauseRight,
  },
  data() {
    return {
      description: '停机原因',
      currentNodeSelect: '',
    }
  },
  methods: {
    getSelectNode(val) {
      this.currentNodeSelect = val;
    },
  }
}
</script>

<style scoped>
@import '~@assets/less/common.less';
</style>